<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:access="xalan://com.pilotfish.utils.AttributeAndPropertyAccessor" exclude-result-prefixes="access" version="3.1">
    <xsl:template match="/Person">
        <http:APIXL xmlns:http="http://www.pilotfishtechnology.com/schemas/apixl">
            <http:Execution>
                <http:POST url="https://reqres.in/api/login">
                    <http:Request>
                        <http:Headers>
                            <http:Header name="Content-Type" value="application/json" />
                        </http:Headers>
                        <http:Body>
                            <http:JSON>
                                <json:JSON xmlns:json="http://www.pilotfishtechnology.com/schemas/json">
                                    <json:OBJECT>
                                        <email>eve.holt@reqres.in</email>
                                        <password>cityslicka</password>
                                    </json:OBJECT>
                                </json:JSON>
                            </http:JSON>
                        </http:Body>
                    </http:Request>
                    <http:Response as="response" encoding="json" formatAs="xml">
                        <http:Output name="tokenResponse" value="ognl:#response" />
                    </http:Response>
                </http:POST>
                <http:SetVariable name="token" value="xpath:string($tokenResponse/json:JSON/json:OBJECT/token)" />
                <http:POST url="https://reqres.in/api/users">
                    <http:Request>
                        <http:Headers>
                            <http:Header name="Authorization" value="ognl:'Bearer ' + #token" />
                        </http:Headers>
                        <http:Body>
                            <http:JSON>
                                <json:JSON xmlns:json="http://www.pilotfishtechnology.com/schemas/json">
                                    <json:OBJECT>
                                        <name>
                                            <xsl:value-of select="concat(Name/First,' ',Name/Middle,' ',Name/Last)" />
                                        </name>
                                        <job>
                                            <xsl:value-of select="Occupation" />
                                        </job>
                                    </json:OBJECT>
                                </json:JSON>
                            </http:JSON>
                        </http:Body>
                    </http:Request>
                    <http:Response as="response" encoding="json" formatAs="xml">
                        <http:Output name="status" value="ognl:#response" />
                    </http:Response>
                </http:POST>
            </http:Execution>
        </http:APIXL>
    </xsl:template>
</xsl:stylesheet>